| Version: 3.3.1

Public Member Functions | Public Attributes | List of all members
wxTextAttrBorders Class Reference
Class List by Category » Rich Text

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class representing a rich text object's borders.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextAttr, wxRichTextCtrl, wxRichTextAttrBorder

## Public Member Functions
| wxTextAttrBorders ()=default
| Default constructor. More...
bool | operator== (const wxTextAttrBorders &borders) const
| Equality operator. More...
void | SetStyle (int style)
| Sets the style of all borders. More...
void | SetColour (unsigned long colour)
| Sets colour of all borders. More...
void | SetColour (const wxColour &colour)
| Sets the colour for all borders. More...
void | SetWidth (const wxTextAttrDimension &width)
| Sets the width of all borders. More...
void | SetWidth (int value, wxTextAttrUnits units=wxTEXT_ATTR_UNITS_TENTHS_MM)
| Sets the width of all borders. More...
void | Reset ()
| Resets all borders. More...
bool | EqPartial (const wxTextAttrBorders &borders, bool weakTest=true) const
| Partial equality test. More...
bool | Apply (const wxTextAttrBorders &borders, const wxTextAttrBorders *compareWith=nullptr)
| Applies border to this object, but not if the same as compareWith. More...
bool | RemoveStyle (const wxTextAttrBorders &attr)
| Removes the specified attributes from this object. More...
void | CollectCommonAttributes (const wxTextAttrBorders &attr, wxTextAttrBorders &clashingAttr, wxTextAttrBorders &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects. More...
bool | IsValid () const
| Returns true if at least one border is valid. More...
const wxTextAttrBorder & | GetLeft () const
| Returns the left border. More...
wxTextAttrBorder & | GetLeft ()
const wxTextAttrBorder & | GetRight () const
| Returns the right border. More...
wxTextAttrBorder & | GetRight ()
const wxTextAttrBorder & | GetTop () const
| Returns the top border. More...
wxTextAttrBorder & | GetTop ()
const wxTextAttrBorder & | GetBottom () const
| Returns the bottom border. More...
wxTextAttrBorder & | GetBottom ()

## Public Attributes
wxTextAttrBorder | m_left
wxTextAttrBorder | m_right
wxTextAttrBorder | m_top
wxTextAttrBorder | m_bottom

## Constructor & Destructor Documentation

## ◆ wxTextAttrBorders()

wxTextAttrBorders::wxTextAttrBorders | ( |  | ) |
| default

Default constructor.

## Member Function Documentation

## ◆ Apply()

bool wxTextAttrBorders::Apply | ( | const wxTextAttrBorders & | borders,
|  | const wxTextAttrBorders * | compareWith = `nullptr`
| ) |  |

Applies border to this object, but not if the same as compareWith.

## ◆ CollectCommonAttributes()

void wxTextAttrBorders::CollectCommonAttributes | ( | const wxTextAttrBorders & | attr,
|  | wxTextAttrBorders & | clashingAttr,
|  | wxTextAttrBorders & | absentAttr
| ) |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

## ◆ EqPartial()

bool wxTextAttrBorders::EqPartial | ( | const wxTextAttrBorders & | borders,
|  | bool | weakTest = `true`
| ) |  | const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of borders are present. If weakTest is false, the function will fail if an attribute is present in borders but not in this object.

## ◆ GetBottom() [1/2]

wxTextAttrBorder& wxTextAttrBorders::GetBottom | ( |  | ) |
| inline

## ◆ GetBottom() [2/2]

const wxTextAttrBorder& wxTextAttrBorders::GetBottom | ( |  | ) | const
| inline

Returns the bottom border.

## ◆ GetLeft() [1/2]

wxTextAttrBorder& wxTextAttrBorders::GetLeft | ( |  | ) |
| inline

## ◆ GetLeft() [2/2]

const wxTextAttrBorder& wxTextAttrBorders::GetLeft | ( |  | ) | const
| inline

Returns the left border.

## ◆ GetRight() [1/2]

wxTextAttrBorder& wxTextAttrBorders::GetRight | ( |  | ) |
| inline

## ◆ GetRight() [2/2]

const wxTextAttrBorder& wxTextAttrBorders::GetRight | ( |  | ) | const
| inline

Returns the right border.

## ◆ GetTop() [1/2]

wxTextAttrBorder& wxTextAttrBorders::GetTop | ( |  | ) |
| inline

## ◆ GetTop() [2/2]

const wxTextAttrBorder& wxTextAttrBorders::GetTop | ( |  | ) | const
| inline

Returns the top border.

## ◆ IsValid()

bool wxTextAttrBorders::IsValid | ( |  | ) | const
| inline

Returns true if at least one border is valid.

## ◆ operator==()

bool wxTextAttrBorders::operator== | ( | const wxTextAttrBorders & | borders | ) | const
| inline

Equality operator.

## ◆ RemoveStyle()

bool wxTextAttrBorders::RemoveStyle | ( | const wxTextAttrBorders & | attr | ) |

Removes the specified attributes from this object.

## ◆ Reset()

void wxTextAttrBorders::Reset | ( |  | ) |
| inline

Resets all borders.

## ◆ SetColour() [1/2]

void wxTextAttrBorders::SetColour | ( | const wxColour & | colour | ) |

Sets the colour for all borders.

## ◆ SetColour() [2/2]

void wxTextAttrBorders::SetColour | ( | unsigned long | colour | ) |

Sets colour of all borders.

## ◆ SetStyle()

void wxTextAttrBorders::SetStyle | ( | int | style | ) |

Sets the style of all borders.

## ◆ SetWidth() [1/2]

void wxTextAttrBorders::SetWidth | ( | const wxTextAttrDimension & | width | ) |

Sets the width of all borders.

## ◆ SetWidth() [2/2]

void wxTextAttrBorders::SetWidth | ( | int | value,
|  | wxTextAttrUnits | units = `wxTEXT_ATTR_UNITS_TENTHS_MM`
| ) |  |
| inline

Sets the width of all borders.

## Member Data Documentation

## ◆ m_bottom

wxTextAttrBorder wxTextAttrBorders::m_bottom

## ◆ m_left

wxTextAttrBorder wxTextAttrBorders::m_left

## ◆ m_right

wxTextAttrBorder wxTextAttrBorders::m_right

## ◆ m_top

wxTextAttrBorder wxTextAttrBorders::m_top